Subject: Re: [PATCH dscape] d80211: Switch d80211.h to IEEE80211_ style names

From: "John W. Linville" <[email-masked]>
Date: Mon, 31 Jul 2006 16:31:19 -0400

On Thu, Jul 27, 2006 at 12:37:14AM -0700, Michael Wu wrote:
> Alright, I've replaced all + lines with spaces with tabs.
> 
> I also fixed one long line. The rest of them are nearly impossible to shorten 
> well. The "(fc & IEEE80211_FCTL_FTYPE) == IEEE80211_FTYPE_DATA" style is 
> really killing us (unless you want to break after ==, which is rather bad). I 
> think we should switch back to a macro for that.
> 
> I would prefer if we could get this merged soon and put in that line 
> shortening macro later (or whatever solution that's best), but it's your 
> call.

Michael,

As usual I'll depend on Jiri to merge d80211 stack patches, then
send me a pull request.  If I apply your "Switch drivers to d80211"
series now, that will undoutedly cause a breakage when Jiri asks me
to pull this later.

I presume that at least parts of those patches will still be necessary
or desirable after the d80211 symbol rename gets merged.  Are you
preparing a new patch series for when that happens?

Thanks,

John
-- 
John W. Linville
[email-masked]